#! /usr/bin/perl

use strict;

#use Nagios::Plugin;
#use Nagios::Plugin::Getopt;
use WWW::Google::PageRank;
use Config::IniFiles;
use Getopt::Std;


my %opts;	
my $url ="http://www.esia-network.com";
#test des paramètres
if(!getopts( "c:H:h", \%opts ))
{
  print "Usage : check_google_rank.pl -H <site web> -c pagerank_limit\n";
  exit(3);
}
if($opts{'h'})
{
  print "Usage : check_google_rank.pl -H <site web> -c pagerank_limit\n";
  exit(1);
}

my $pr = WWW::Google::PageRank->new;
my $url = $opts{'H'};
my $crit =  $opts{'c'};
my $page_rank = $pr->get($opts{'H'});
if ($page_rank < $opts{'c'}) 
{
    	my $msg = " CRITICAL - PageRank $page_rank < $crit for $url";
    	print $msg;
	exit(2);
} 
else 
{
	my $msg = "OK - PageRank $page_rank >= $crit for $url";
	print $msg;
   	exit(0);
}

# end of nagios_check_google_rank
